Subject: Re: linux-next: build failure after merge of the final tree (tip tree related)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 03 Aug 2010 11:41:34 +1000

On Tue, 2010-08-03 at 02:23 +1000, Stephen Rothwell wrote:
> 
> Lots (if not all) of the arm builds failed for next-20100802 with these
> errors:
> 
> arch/arm/mm/init.c: In function 'arm_bootmem_init':
> arch/arm/mm/init.c:184: error: implicit declaration of function 'memblock_start_pfn'
> arch/arm/mm/init.c:186: error: implicit declaration of function 'memblock_end_pfn'
> arch/arm/mm/init.c:188: error: implicit declaration of function 'memblock_size_bytes'
> 
> Caused by commit 53e16bfaf19346f59b3502e207aa66c61332075c ("memblock:
> Introduce for_each_memblock() and new accessors, and use it") interacting
> with commit 2778f62056ada442414392d7ccd41188bb631619 ("ARM: initial LMB
> trial") and some others from the arm tree.
> 
> Ben, is there no way to retain the old APIs while creating the new ones? 

I'll have a second look. It might be doable if it's only those 3
functions.

In any case, I'm happy to delay that, wait for ARM to go in, then sent a
new batch that also fixes ARM up.

Once those patches are in, we get some saner APIs to memblocks which
make it a lot easier to rewrite the core, which I think Peter want to do
(and I like his ideas of using a single list very much too).

Cheers,
Ben.